Bug 660102 - sm-gui hangs when Assistive Technologies is enabled
Summary: sm-gui hangs when Assistive Technologies is enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: Jeff Weiss
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-05 14:45 UTC by Jeff Weiss
Modified: 2014-11-09 22:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
RHEL6
Last Closed: 2011-05-19 13:37:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Jeff Weiss 2010-12-05 14:45:54 UTC
Description of problem:


Version-Release number of selected component (if applicable):
a203999ffe34190c68b7a2809cf7a1e347493213

How reproducible:
always

Steps to Reproduce:
1. On RHEL6 machine, log in to gnome as root
2. System/Preferences/Assistive Technologies.  Enable assistive technologies.
3. Close and log out
4. Log in
5. Start RHSM gui
6. Register to candlepin server
7. Click "Become Compliant"
  
Actual results:
GUI hangs while progress bar is up

Expected results:
Progress bar completes, no hang

Additional info:
If you disable assistive technologies, the problem goes away.   However we need this enabled to run automated tests (and of course we need to support users who need Assistive Technologies as well).

Comment 2 James Bowes 2010-12-06 20:13:52 UTC
Fixed in 275906eff188a0d148f395e38439d99c0b45b1d8
It's interesting to note that prior to this fix, the code worked fine in F14.

Comment 4 Jeff Weiss 2010-12-23 14:35:25 UTC
Verified subscription-manager-0.93.8-1.git.15.dfe034e.el6.x86_64

Comment 5 errata-xmlrpc 2011-05-19 13:37:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.